### Method

# ECal Component get_as_string

since: 3.34

#### Declaration [src]

    gchar*
    e_cal_component_get_as_string (
      ECalComponent* comp
    )

#### Description [src]

Gets the iCalendar string representation of a calendar component. You should call `e_cal_component_commit_sequence()` before this function to ensure that the component’s sequence number is consistent with the state of the object.

Available since: 3.34

#### Return value

Type: `gchar*`

String representation of the calendar component according to RFC 2445.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.